document.addEventListener('DOMContentLoaded', function () {
  'use strict';

  drupalSettings.articles = new Vue({ // eslint-disable-line no-unused-vars, no-undef, max-len
    el: '#vue-articles',
    data: {
      articles: []
    },
    mounted: function mounted() {
      var _this = this;

      axios.get('/jsonapi/node/article?page[limit]=15').then(function (response) {
        return _this.articles = response.data.data;
      });
    }
  });
});